For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inBook a demo
HomeGuidesAPI ReferenceGlossary
HomeGuidesAPI ReferenceGlossary
  • API Reference
      • GETSearch entities
      • POSTCreate entity
      • GETGet entity
      • POSTUpdate entity
      • DELDelete entity
      • POSTAccept Terms of Service
      • POSTInitiate KYB
      • POSTGenerate JWT Token
      • GETGenerate Onboarding Link
      • POSTSend Onboarding Email
      • GETEvents
Logo
Sign inBook a demo
API ReferenceEntity

Events

GET
https://api.mercoa.com/entity/:entityId/events
GET
/entity/:entityId/events
$curl https://api.mercoa.com/entity/ent_a0f6ea94-0761-4a5e-a416-3c453cb7eced/events \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "id": "evt_a0f6ea94-0761-4a5e-a416-3c453cb7eced",
5 "data": {
6 "id": "ent_8545a84e-a45f-41bf-bdf1-33b42a55812c",
7 "name": "Acme Inc.",
8 "email": "customer@acme.com",
9 "isCustomer": true,
10 "accountType": "business",
11 "profile": {
12 "business": {
13 "legalBusinessName": "Acme Inc.",
14 "taxIDProvided": true,
15 "email": "customer@acme.com",
16 "businessType": "llc",
17 "phone": {
18 "countryCode": "1",
19 "number": "4155551234"
20 },
21 "address": {
22 "addressLine1": "123 Main St",
23 "city": "San Francisco",
24 "stateOrProvince": "CA",
25 "postalCode": "94105",
26 "addressLine2": "Unit 1",
27 "country": "US"
28 },
29 "ownersProvided": true,
30 "taxId": {
31 "ein": {
32 "number": "12-3456789"
33 }
34 }
35 }
36 },
37 "status": "verified",
38 "acceptedTos": true,
39 "isPayor": true,
40 "isPayee": false,
41 "isNetworkPayor": false,
42 "isNetworkPayee": false,
43 "createdAt": "2024-01-01T00:00:00Z",
44 "updatedAt": "2024-01-02T00:00:00Z",
45 "foreignId": "MY-DB-ID-12345"
46 },
47 "webhookIds": [
48 "webhook_12345"
49 ],
50 "createdAt": "2024-01-01T00:00:00.000Z",
51 "userId": "user_e24fc81c-c5ee-47e8-af42-4fe29d895506"
52 }
53 ],
54 "count": 1,
55 "hasMore": false
56}
Get all events for an entity
Was this page helpful?
Previous

Find payee counterparties

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

entityIdstringRequired
Entity ID or Entity ForeignID

Query parameters

startDatedatetimeOptional
Start date filter. If not provided, events from the start of time will be returned.
endDatedatetimeOptional
End date filter. If not provided, events to the end of time will be returned.
limitintegerOptional
Number of events to return. Limit can range between 1 and 100, and the default is 50.
startingAfterstringOptional
The ID of the event to start after. If not provided, the first page of events will be returned.

Response

This endpoint returns an object.
datalist of objects
countinteger
hasMoreboolean

Errors

400
Bad Request
401
Unauthorized
403
Forbidden
404
Not Found
409
Conflict
500
Internal Server Error
501
Unimplemented